Permalink
Browse files

new package: net-mail/notmuch (live ebuild only)

Based on net-mail/notmuch-0.9-r2 from Portage Tree.

(Portage version: 2.1.10.37/git/Linux x86_64, signed Manifest commit with key E1DBFAB5)
  • Loading branch information...
1 parent 8611bc4 commit 99125c8b75f02391af85fa39a3f6c8e0d307f6da @aidecoe committed Nov 24, 2011
@@ -0,0 +1,10 @@
+# ChangeLog for net-mail/notmuch
+# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*notmuch-9999 (24 Nov 2011)
+
+ 24 Nov 2011; Amadeusz Żołnowski <aidecoe@gentoo.org>
+ +files/50notmuch-gentoo.el, +notmuch-9999.ebuild, +metadata.xml:
+ Based on net-mail/notmuch-0.9-r2 from Portage Tree.
+
@@ -0,0 +1,18 @@
+-----BEGIN PGP SIGNED MESSAGE-----
+Hash: SHA1
+
+AUX 50notmuch-gentoo.el 291 RMD160 7e036b8700f50cde6c3b27622193ddf08812229b SHA1 cc087fe76f750e84171a6ddef9dc10139b8450cc SHA256 68c0ecfd3d10246fb65ec48b097c1b477ce33f44014f602f903c16b752ba7d3b
+EBUILD notmuch-9999.ebuild 3050 RMD160 b1002931773b942f612293aa6a2177358151b47d SHA1 8aef09d9535b437c695e39759a7616f61dec3e92 SHA256 e9ed0c227c534f5004ffb9d6b33f62fd41e435fa3ec65baa24d10c32a27d4ff5
+MISC ChangeLog 325 RMD160 0053ff5ce160014957959fd6d9ee31d852a3c5bb SHA1 dfb2544afa3dcae34e1af2497f8f22dcda7dae0e SHA256 222ffc75c73ae9436922fede3e1b74a2ade92d7bd873722b24d767d5bc450815
+MISC metadata.xml 870 RMD160 1ea6d669111c3e30f719c2337bb1fbebe7ab14aa SHA1 49ddae312621716998b7fe205f93536b2c2d20b4 SHA256 37955cc892c0585089e4dfb7ea2a8d1cb819164c4d098ba1be7253929be9890f
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v2.0.18 (GNU/Linux)
+
+iQEcBAEBAgAGBQJOzgfUAAoJEPATRTHh2/q1bvEH/1C6eLyhnsHI2UrIB7wf03Sc
+bwh9JpoK5BA8mj8N8Nu6roXyncPiypogzoFegGCqDkwdHD1yreQdnHqRHwPhfR0t
+ZYSLiHVIWhoS9BWswOf4ViA6SY/fDqrnMjXGLlQfZxY07Cb4AahpfkHc/1FYj+qz
+thyEwuYggv5vpuH0N95B6122thd9v1NSSp/BcUwSvVvMBT7SQzcThqqXNbgDxui3
+QZBgDHRohTKlmWYKqZLkc+yTm1D4F6P4jfu8ebQa4Wxcxps4yvyNINUGV9KZ2NBF
+cDlN/FirRmDK+ew5UzeFgCdKbnihyeyeW/D+ARnvMOT3Q9kKwYYrSg5PYC/bGSA=
+=BtHE
+-----END PGP SIGNATURE-----
@@ -0,0 +1,7 @@
+(add-to-list 'load-path "@SITELISP@")
+(if (boundp 'image-load-path)
+ (add-to-list 'image-load-path "@SITEETC@" t))
+(autoload 'notmuch "notmuch" nil t)
+(autoload 'notmuch-search "notmuch" nil t)
+(autoload 'notmuch-hello "notmuch-hello" nil t)
+(autoload 'notmuch-show "notmuch-show" nil t)
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>aidecoe@gentoo.org</email>
+ <name>Amadeusz Żołnowski</name>
+ </maintainer>
+ <use>
+ <flag name="doc">Install API documentation for enabled bindings</flag>
+ <flag name="crypt">Support decryption and verification of PGP/MIME
+ messages and in Emacs UI - encryption</flag>
+ <flag name="emacs">Install Notmuch client for Emacs (main client)</flag>
+ <flag name="vim">Install Notmuch client for Vim (experimental)</flag>
+ </use>
+ <longdescription lang="en">
+ Notmuch is a system for indexing, searching, reading, and tagging large
+ collections of email messages in maildir or mh format. It uses the
+ Xapian library to provide fast, full-text search with a convenient
+ search syntax.
+ </longdescription>
+</pkgmetadata>
@@ -0,0 +1,146 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-mail/notmuch/notmuch-0.9-r2.ebuild,v 1.3 2011/11/07 15:25:25 aidecoe Exp $
+
+EAPI=4
+
+PYTHON_DEPEND="python? 2:2.5"
+SUPPORT_PYTHON_ABIS="1"
+RESTRICT_PYTHON_ABIS="2.4 3.*"
+RUBY="/usr/bin/ruby18"
+RDOC="/usr/bin/rdoc18"
+
+inherit elisp-common distutils
+inherit autotools-utils git-2
+
+DESCRIPTION="The mail indexer"
+HOMEPAGE="http://notmuchmail.org/"
+EGIT_REPO_URI="git://git.notmuchmail.org/git/notmuch"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS=""
+REQUIRED_USE="test? ( crypt emacs )"
+IUSE="bash-completion crypt debug doc emacs python ruby test vim zsh-completion"
+
+CDEPEND="
+ >=dev-libs/glib-2.14
+ dev-libs/gmime:2.4
+ dev-libs/xapian
+ doc? ( python? ( dev-python/sphinx ) )
+ sys-libs/talloc
+ debug? ( dev-util/valgrind )
+ emacs? ( >=virtual/emacs-23 )
+ ruby? ( dev-lang/ruby:1.8 )
+ x86? ( >=dev-libs/xapian-1.2.7-r2 )
+ vim? ( || ( >=app-editors/vim-7.0 >=app-editors/gvim-7.0 ) )
+ "
+DEPEND="${CDEPEND}
+ dev-util/pkgconfig
+ test? ( sys-devel/gdb )
+ "
+RDEPEND="${CDEPEND}
+ crypt? ( app-crypt/gnupg )
+ zsh-completion? ( app-shells/zsh )
+ "
+
+DOCS=( AUTHORS NEWS README TODO )
+SITEFILE="50${PN}-gentoo.el"
+
+bindings() {
+ if use $1; then
+ pushd bindings/$1 || die
+ shift
+ $@
+ popd || die
+ fi
+}
+
+pkg_setup() {
+ if use emacs; then
+ elisp-need-emacs 23 || die "Emacs version too low"
+ fi
+ use python && python_pkg_setup
+}
+
+src_prepare() {
+ autotools-utils_src_prepare
+ bindings python distutils_src_prepare
+}
+
+src_configure() {
+ local myeconfargs=(
+ --bashcompletiondir="${ROOT}/usr/share/bash-completion"
+ --emacslispdir="${ROOT}/${SITELISP}/${PN}"
+ --emacsetcdir="${ROOT}/${SITEETC}/${PN}"
+ --zshcompletiondir="${ROOT}/usr/share/zsh/site-functions"
+ $(use_with bash-completion)
+ $(use_with emacs)
+ $(use_with zsh-completion)
+ )
+ autotools-utils_src_configure
+
+ r_conf() {
+ ${RUBY} extconf.rb || die
+ }
+ bindings ruby r_conf
+}
+
+src_compile() {
+ autotools-utils_src_compile
+ bindings python distutils_src_compile
+ bindings ruby emake
+
+ if use doc; then
+ pydocs() {
+ pushd docs || die
+ emake html
+ mv html ../python || die
+ popd || die
+ }
+
+ rdocs() {
+ ${RDOC} --main 'Notmuch' --title 'Notmuch Ruby API' --op ruby *.c
+ }
+
+ bindings python pydocs
+ bindings ruby rdocs
+ fi
+}
+
+src_install() {
+ autotools-utils_src_install
+
+ if use emacs; then
+ elisp-site-file-install "${FILESDIR}/${SITEFILE}" || die
+ fi
+
+ if use vim; then
+ insinto /usr/share/vim/vimfiles
+ doins -r vim/plugin vim/syntax
+ fi
+
+ DOCS="" bindings python distutils_src_install
+ bindings ruby emake DESTDIR="'${D}'" install
+
+ if use doc; then
+ bindings python dohtml -r python
+ bindings ruby dohtml -r ruby
+ fi
+}
+
+pkg_postinst() {
+ use emacs && elisp-site-regen
+ use python && distutils_pkg_postinst
+
+ if use python; then
+ echo
+ elog "Python API documentation is also online available at:"
+ elog " http://packages.python.org/notmuch/"
+ fi
+}
+
+pkg_postrm() {
+ use emacs && elisp-site-regen
+ use python && distutils_pkg_postrm
+}

0 comments on commit 99125c8

Please sign in to comment.